## Trace all calls to a function.

## Usage

    trace(fun)
    untrace(fun)

## Arguments

`fun` | any interpreted R function (not quoted).

## Description

These are both in very primitive form. If `trace` is called the function named is marked and each time it is entered the call is printed on the console. To stop tracing a function use `untrace`.

## See Also

`debug`.

## Examples

    trace(names)
    data.frame(x=1:2, y=3:4)
    untrace(names)

[Package Contents]